// FileWriter.h: CFileWriter NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(_FILEWRITER_H_)
#define _FILEWRITER_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IMediaDecoder.h"
#include "NCachedFile.h"


/////////////////////////////////////////////////////////////////////////////
// ėpt@Co(CMediaDatâ܂܃t@Cɏo)
/////////////////////////////////////////////////////////////////////////////
// Input	#0	: CMediaData		݃f[^
/////////////////////////////////////////////////////////////////////////////

class CFileWriter : public IMediaDecoder  
{
public:
	CFileWriter();
	virtual ~CFileWriter();

// IMediaDecoder
	virtual void Reset(void);

	virtual const DWORD GetInputNum(void) const;
	virtual const DWORD GetOutputNum(void) const;

	virtual const bool InputMedia(CMediaData *pMediaData, const DWORD dwInputIndex = 0);

// CFileWriter
	const bool OpenFile(LPCTSTR lpszFileName);
	void CloseFile(void);

	const LONGLONG GetWriteSize(void) const;
	const LONGLONG GetWriteCount(void) const;

protected:
	CNCachedFile m_OutFile;
	
	LONGLONG m_llWriteSize;
	LONGLONG m_llWriteCount;
};

#endif // !defined(_FILEWRITER_H_)
